<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.oa.mapper.OaExpressQuestionMapper">

    <resultMap type="com.ruoyi.oa.domain.OaExpressQuestion" id="OaExpressQuestionResult">
        <result property="questionId" column="question_id"/>
        <result property="expressId" column="express_id"/>
        <result property="description" column="description"/>
        <result property="reportTime" column="report_time"/>
        <result property="reportBy" column="report_by"/>
        <result property="status" column="status"/>
        <result property="createTime" column="create_time"/>
        <result property="createBy" column="create_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="delFlag" column="del_flag"/>
        <result property="remark" column="remark"/>
    </resultMap>
    <select id="selectVoPagePlus" resultType="com.ruoyi.oa.domain.vo.OaExpressQuestionVo">
        select oeq.question_id,
               oeq.express_id,
               oeq.description,
               oeq.report_time,
               oeq.report_by,
               oeq.status,
               oeq.create_time,
               oeq.create_by,
               oeq.update_time,
               oeq.update_by,
               oeq.del_flag,
               oeq.remark,
               oe.express_code
        from oa_express_question oeq
                 left join oa_express oe on oe.express_id = oeq.express_id
            ${ew.getCustomSqlSegment}
    </select>


</mapper>
